Bug 43344 - New port: A fun multiplayer game with cute fluffy bunnies
Summary: New port: A fun multiplayer game with cute fluffy bunnies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Adam Weinberger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-09-24 21:10 UTC by Gürkan
Modified: 2002-11-07 00:47 UTC (History)
0 users

See Also:


Attachments
file.shar (6.77 KB, text/plain)
2002-09-24 21:10 UTC, Gürkan
no flags Details
jnb-freebsd.tar.bz2 (2.14 KB, application/octet-stream)
2002-10-24 18:26 UTC, Gürkan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gürkan 2002-09-24 21:10:02 UTC
This is a 2 - 4 player game where the players are bunnies, and the
goal is to jump on the other bunnies.

WWW: http://www.jumpbump.mine.nu/

(Port originally made by Alessandro Gatti <a.gatti@tiscali.it>)

- Gurkan
gurkan@linuks.mine.nu
Comment 1 Adam Weinberger freebsd_committer 2002-10-22 06:38:49 UTC
Responsible Changed
From-To: freebsd-ports->adamw

I'll work with submitter on cleaning the installation procedure.
Comment 2 Adam Weinberger freebsd_committer 2002-10-22 06:40:03 UTC
State Changed
From-To: open->feedback

This port needs to be cleaned up a bit. The port attempts to make 
allowances for all the proper decisions, but they're just not 
implemented in the right way. 

Some things to look at: 
* If network support is broken, leave the option for it out 
of the Makefile at this time. Besides, defining 
WITHOUT_NETWORK just adds a dependency, and doesn't change 
the build. 
* The pkg-message can be reduced to "Define WITHOUT_TCL to disable the X11 frontend." 
* The sleep is not good. If someone doesn't read the messages 
given to them right at the start of the build, they're not 
going to 3 seconds later ::) 
* You're trying to do the right thing with the pkg-plist, but 
it's not implemented in the right way. Please see the section 
in the Porter's Handbook called "Changing pkg-plist based on make variables." 
If you want some help with this, just let me know. 
* The executable should go in ${PREFIX}/bin, and the ancillary 
files should go in ${DATADIR} 

Don't hesitate to ask me for help/clarification. 

-Adam <adamw@FreeBSD.org>
Comment 3 Gürkan 2002-10-24 18:26:54 UTC
>>Hello Adam,
>>Do you mind if I send you a fixed version by email?
>>Please let me know if it's better or what needs to be changed...
>>Yours, Gürkan
>Absolutely you can! Please also cc freebsd-gnats-submit@freebsd.org and
>keep the subject line as-is. That way we can keep a full electronic
>paper trail, and it makes it a lot easier for me to test ::)
here you go...
Comment 4 Gürkan 2002-10-25 21:18:04 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	.
#	./Makefile
#	./pkg-descr
#	./pkg-plist
#	./distinfo
#	./files
#	./files/patch-aa
#	./files/patch-ab
#	./files/patch-ac
#	./files/patch-ad
#	./pkg-comment
#	./jumpnbump-2ndtry.shar
#
echo c - .
mkdir -p . > /dev/null 2>&1
echo x - ./Makefile
sed 's/^X//' >./Makefile << 'END-of-./Makefile'
X# New ports collection makefile for:	jumpnbump
X# Date created:		23 September 2002
X# Whom:			Alessandro Gatti <a.gatti@tiscali.it>
X#
X# $FreeBSD$
X#
X
XPORTNAME=jumpnbump
XPORTVERSION=1.40
XPORTREVISION=0
XCATEGORIES=games
XMASTER_SITES=http://www.jumpbump.mine.nu/port/ \
X	http://www.vlaadworld.net/jumpnbump/ \
X	http://jumpnbump.linuxsys.de/
X
XMAINTAINER=gurkan@linuks.mine.nu
X
XLIB_DEPENDS=SDL-1.1.4:${PORTSDIR}/devel/sdl12
XLIB_DEPENDS+=SDL_mixer.2:${PORTSDIR}/audio/sdl_mixer
X.if !defined (WITHOUT_TCL)
XLIB_DEPENDS+=tk80.1:${PORTSDIR}/x11-toolkits/tk80
X.endif
X
XMAN6=jumpnbump.6
XMANCOMPRESSED=yes
XUSE_REINPLACE=yes
X
Xpre-everything:
X	@${ECHO_MSG} "Define WITHOUT_TCL to disable the X11 frontend."
X
Xpost-patch:
X.if !defined(NOPORTDOCS)
X	rman ${WRKSRC}/jumpnbump.6 -f HTML > ${WRKSRC}/jumpnbump.html
X.endif
X	@gzip -9 ${WRKSRC}/jumpnbump.6
X
Xdo-install:
X	${INSTALL_PROGRAM} ${WRKSRC}/jumpnbump ${PREFIX}/bin/
X	${INSTALL_PROGRAM} ${WRKSRC}/gobpack ${PREFIX}/bin/
X	${INSTALL_PROGRAM} ${WRKSRC}/jnbpack ${PREFIX}/bin/
X	${INSTALL_PROGRAM} ${WRKSRC}/jnbunpack ${PREFIX}/bin/
X	${INSTALL_SCRIPT} ${WRKSRC}/jumpnbump.svgalib ${PREFIX}/bin/
X	${INSTALL_SCRIPT} ${WRKSRC}/jumpnbump.fbcon ${PREFIX}/bin/
X	${MKDIR} ${DATADIR}
X	${INSTALL_DATA} ${WRKSRC}/data/jumpbump.dat ${DATADIR}/
X	${INSTALL_MAN} ${WRKSRC}/jumpnbump.6.gz ${MANPREFIX}/man/man6/
X.if !defined(WITHOUT_TCL)
X	${INSTALL_SCRIPT} ${WRKSRC}/jnbmenu.tcl ${PREFIX}/bin/
X.endif
X
Xpost-install:
X.if !defined(WITHOUT_TCL)
X	@${ECHO_MSG} "bin/jnbmenu.tcl" >> ${TMPPLIST}
X.endif
X.if !defined(NOPORTDOCS)
X	@${ECHO_MSG} "share/doc/jumpnbump/jumpnbump.html" >> ${TMPPLIST}
X	@${ECHO_MSG} "share/doc/jumpnbump/levelmaking.html" >> ${TMPPLIST}
X	@${ECHO_MSG} "share/doc/jumpnbump/level.pcx" >> ${TMPPLIST}
X	@${ECHO_MSG} "share/doc/jumpnbump/pack.gif" >> ${TMPPLIST}
X	@${ECHO_MSG} "share/doc/jumpnbump/making1.gif" >> ${TMPPLIST}
X	@${ECHO_MSG} "share/doc/jumpnbump/making2.gif" >> ${TMPPLIST}
X	@${ECHO_MSG} "share/doc/jumpnbump/making3.gif" >> ${TMPPLIST}
X	@${ECHO_MSG} "@dirrm share/doc/jumpnbump" >> ${TMPPLIST}
X	${MKDIR} ${PREFIX}/share/doc/jumpnbump/
X	${INSTALL_MAN} ${WRKSRC}/jumpnbump.html ${PREFIX}/share/doc/jumpnbump/
X	${INSTALL_MAN} ${WRKSRC}/levelmaking/* ${PREFIX}/share/doc/jumpnbump/
X	${MV} ${PREFIX}/share/doc/jumpnbump/jumpnbump_levelmaking.htm ${PREFIX}/share/doc/jumpnbump/levelmaking.html
X.endif
X
X.include <bsd.port.mk>
END-of-./Makefile
echo x - ./pkg-descr
sed 's/^X//' >./pkg-descr << 'END-of-./pkg-descr'
XThis is a 2 - 4 player game where the players are bunnies, and the
Xgoal is to jump on the other bunnies.
X
XWWW: http://www.jumpbump.mine.nu/
X
X- Gurkan
Xgurkan@linuks.mine.nu
END-of-./pkg-descr
echo x - ./pkg-plist
sed 's/^X//' >./pkg-plist << 'END-of-./pkg-plist'
Xbin/jumpnbump
Xbin/jumpnbump.svgalib
Xbin/jumpnbump.fbcon
Xbin/gobpack
Xbin/jnbpack
Xbin/jnbunpack
Xshare/jumpnbump/jumpbump.dat
X@dirrm share/jumpnbump
END-of-./pkg-plist
echo x - ./distinfo
sed 's/^X//' >./distinfo << 'END-of-./distinfo'
XMD5 (jumpnbump-1.40.tar.gz) = 2e57aae06b3d3534354f36dd888ad276
END-of-./distinfo
echo c - ./files
mkdir -p ./files > /dev/null 2>&1
echo x - ./files/patch-aa
sed 's/^X//' >./files/patch-aa << 'END-of-./files/patch-aa'
X--- Makefile.orig	Sun Sep 22 21:03:26 2002
X+++ Makefile	Tue Oct 22 19:34:36 2002
X@@ -1,8 +1,8 @@
X-SDL_CFLAGS = `sdl-config --cflags`
X-SDL_LIBS = `sdl-config --libs`
X-CFLAGS = -Wall -O2 -ffast-math -funroll-loops -Dstricmp=strcasecmp \
X-	-Dstrnicmp=strncasecmp -DUSE_SDL -DNDEBUG -I. $(SDL_CFLAGS) -DUSE_NET
X-LIBS = -lm $(SDL_LIBS) -lSDL_mixer -lSDL_net
X+SDL_CFLAGS = `sdl11-config --cflags`
X+SDL_LIBS = `sdl11-config --libs`
X+CFLAGS += -Wall -O2 -ffast-math -funroll-loops -Dstricmp=strcasecmp \
X+	-Dstrnicmp=strncasecmp -DUSE_SDL -DNDEBUG -I. $(SDL_CFLAGS)
X+LIBS += -lm $(SDL_LIBS) -lSDL_mixer
X SDL_TARGET = sdl.a
X MODIFY_TARGET = gobpack jnbpack jnbunpack
X OBJS = fireworks.o main.o menu.o
END-of-./files/patch-aa
echo x - ./files/patch-ab
sed 's/^X//' >./files/patch-ab << 'END-of-./files/patch-ab'
X--- modify/Makefile.orig	Sun Sep 22 21:03:26 2002
X+++ modify/Makefile	Tue Oct 22 19:33:49 2002
X@@ -1,8 +1,7 @@
X-CFLAGS = -Wall -ansi -pedantic -O2 -ffast-math -funroll-loops \
X+CFLAGS += -Wall -ansi -pedantic -O2 -ffast-math -funroll-loops \
X 	-Dstricmp=strcasecmp -Dstrnicmp=strncasecmp -DNDEBUG \
X-	-I. -I.. -DUSE_NET
X-LIBS = -lm
X-SRCS = gobpack.c jnbpack.c jnbunpack.c
X+	-I. -I..
X+LIBS += -lm
X OBJS = gobpack.o jnbpack.o jnbunpack.o
X TARGETS = ../gobpack ../jnbpack ../jnbunpack
END-of-./files/patch-ab
echo x - ./files/patch-ac
sed 's/^X//' >./files/patch-ac << 'END-of-./files/patch-ac'
X--- sdl/Makefile.orig	Sun Sep 22 21:03:26 2002
X+++ sdl/Makefile	Tue Oct 22 19:35:05 2002
X@@ -1,8 +1,7 @@
X-SDL_CFLAGS = `sdl-config --cflags`
X-CFLAGS = -Wall -ansi -pedantic -O2 -ffast-math -funroll-loops \
X+SDL_CFLAGS = `sdl11-config --cflags`
X+CFLAGS += -Wall -ansi -pedantic -O2 -ffast-math -funroll-loops \
X 	-Dstricmp=strcasecmp -Dstrnicmp=strncasecmp -DNDEBUG \
X-	-I. -I.. $(SDL_CFLAGS) -DUSE_SDL -DUSE_NET
X-
X+	-I. -I.. $(SDL_CFLAGS) -DUSE_SDL
X OBJS = gfx.o interrpt.o sound.o input.o
X TARGET = ../sdl.a
END-of-./files/patch-ac
echo x - ./files/patch-ad
sed 's/^X//' >./files/patch-ad << 'END-of-./files/patch-ad'
X--- jnbmenu.pre.orig	Tue Oct 22 20:14:28 2002
X+++ jnbmenu.pre	Tue Oct 22 20:14:45 2002
X@@ -1,5 +1,4 @@
X-#!/usr/bin/wish
X-#!/usr/bin/wish8.0
X+#!/usr/local/bin/wish8.0
X #############################################################################
X # Visual Tcl v1.20 Project
X # Author : Philippe Brochard
END-of-./files/patch-ad
echo x - ./pkg-comment
sed 's/^X//' >./pkg-comment << 'END-of-./pkg-comment'
XA fun multiplayer game with cute fluffy bunnies
END-of-./pkg-comment
echo x - ./jumpnbump-2ndtry.shar
sed 's/^X//' >./jumpnbump-2ndtry.shar << 'END-of-./jumpnbump-2ndtry.shar'
X# This is a shell archive.  Save it in a file, remove anything before
X# this line, and then unpack it by entering "sh file".  Note, it may
X# create directories; files and directories will be owned by you and
X# have default permissions.
X#
X# This archive contains:
X#
X#	.
X#	./Makefile
X#	./pkg-descr
X#	./pkg-plist
X#	./distinfo
X#	./files
X#	./files/patch-aa
X#	./files/patch-ab
X#	./files/patch-ac
X#	./files/patch-ad
X#	./pkg-comment
X#	./jumpnbump-2ndtry.shar
X#
Xecho c - .
Xmkdir -p . > /dev/null 2>&1
Xecho x - ./Makefile
Xsed 's/^X//' >./Makefile << 'END-of-./Makefile'
XX# New ports collection makefile for:	jumpnbump
XX# Date created:		23 September 2002
XX# Whom:			Alessandro Gatti <a.gatti@tiscali.it>
XX#
XX# $FreeBSD$
XX#
XX
XXPORTNAME=jumpnbump
XXPORTVERSION=1.40
XXPORTREVISION=0
XXCATEGORIES=games
XXMASTER_SITES=http://www.jumpbump.mine.nu/port/ \
XX	http://www.vlaadworld.net/jumpnbump/ \
XX	http://jumpnbump.linuxsys.de/
XX
XXMAINTAINER=gurkan@linuks.mine.nu
XX
XXLIB_DEPENDS=SDL-1.1.4:${PORTSDIR}/devel/sdl12
XXLIB_DEPENDS+=SDL_mixer.2:${PORTSDIR}/audio/sdl_mixer
XX.if !defined (WITHOUT_TCL)
XXLIB_DEPENDS+=tk80.1:${PORTSDIR}/x11-toolkits/tk80
XX.endif
XX
XXMAN6=jumpnbump.6
XXMANCOMPRESSED=yes
XXUSE_REINPLACE=yes
XX
XXpre-everything:
XX	@${ECHO_MSG} "Define WITHOUT_TCL to disable the X11 frontend."
XX
XXpost-patch:
XX.if !defined(NOPORTDOCS)
XX	rman ${WRKSRC}/jumpnbump.6 -f HTML > ${WRKSRC}/jumpnbump.html
XX.endif
XX	@gzip -9 ${WRKSRC}/jumpnbump.6
XX
XXdo-install:
XX	${INSTALL_PROGRAM} ${WRKSRC}/jumpnbump ${PREFIX}/bin/
XX	${INSTALL_PROGRAM} ${WRKSRC}/gobpack ${PREFIX}/bin/
XX	${INSTALL_PROGRAM} ${WRKSRC}/jnbpack ${PREFIX}/bin/
XX	${INSTALL_PROGRAM} ${WRKSRC}/jnbunpack ${PREFIX}/bin/
XX	${INSTALL_SCRIPT} ${WRKSRC}/jumpnbump.svgalib ${PREFIX}/bin/
XX	${INSTALL_SCRIPT} ${WRKSRC}/jumpnbump.fbcon ${PREFIX}/bin/
XX	${MKDIR} ${DATADIR}
XX	${INSTALL_DATA} ${WRKSRC}/data/jumpbump.dat ${DATADIR}/
XX	${INSTALL_MAN} ${WRKSRC}/jumpnbump.6.gz ${MANPREFIX}/man/man6/
XX.if !defined(WITHOUT_TCL)
XX	${INSTALL_SCRIPT} ${WRKSRC}/jnbmenu.tcl ${PREFIX}/bin/
XX.endif
XX
XXpost-install:
XX.if !defined(WITHOUT_TCL)
XX	@${ECHO_MSG} "bin/jnbmenu.tcl" >> ${TMPPLIST}
XX.endif
XX.if !defined(NOPORTDOCS)
XX	@${ECHO_MSG} "share/doc/jumpnbump/jumpnbump.html" >> ${TMPPLIST}
XX	@${ECHO_MSG} "share/doc/jumpnbump/levelmaking.html" >> ${TMPPLIST}
XX	@${ECHO_MSG} "share/doc/jumpnbump/level.pcx" >> ${TMPPLIST}
XX	@${ECHO_MSG} "share/doc/jumpnbump/pack.gif" >> ${TMPPLIST}
XX	@${ECHO_MSG} "share/doc/jumpnbump/making1.gif" >> ${TMPPLIST}
XX	@${ECHO_MSG} "share/doc/jumpnbump/making2.gif" >> ${TMPPLIST}
XX	@${ECHO_MSG} "share/doc/jumpnbump/making3.gif" >> ${TMPPLIST}
XX	@${ECHO_MSG} "@dirrm share/doc/jumpnbump" >> ${TMPPLIST}
XX	${MKDIR} ${PREFIX}/share/doc/jumpnbump/
XX	${INSTALL_MAN} ${WRKSRC}/jumpnbump.html ${PREFIX}/share/doc/jumpnbump/
XX	${INSTALL_MAN} ${WRKSRC}/levelmaking/* ${PREFIX}/share/doc/jumpnbump/
XX	${MV} ${PREFIX}/share/doc/jumpnbump/jumpnbump_levelmaking.htm ${PREFIX}/share/doc/jumpnbump/levelmaking.html
XX.endif
XX
XX.include <bsd.port.mk>
XEND-of-./Makefile
Xecho x - ./pkg-descr
Xsed 's/^X//' >./pkg-descr << 'END-of-./pkg-descr'
XXThis is a 2 - 4 player game where the players are bunnies, and the
XXgoal is to jump on the other bunnies.
XX
XXWWW: http://www.jumpbump.mine.nu/
XX
XX- Gurkan
XXgurkan@linuks.mine.nu
XEND-of-./pkg-descr
Xecho x - ./pkg-plist
Xsed 's/^X//' >./pkg-plist << 'END-of-./pkg-plist'
XXbin/jumpnbump
XXbin/jumpnbump.svgalib
XXbin/jumpnbump.fbcon
XXbin/gobpack
XXbin/jnbpack
XXbin/jnbunpack
XXshare/jumpnbump/jumpbump.dat
XX@dirrm share/jumpnbump
XEND-of-./pkg-plist
Xecho x - ./distinfo
Xsed 's/^X//' >./distinfo << 'END-of-./distinfo'
XXMD5 (jumpnbump-1.40.tar.gz) = 2e57aae06b3d3534354f36dd888ad276
XEND-of-./distinfo
Xecho c - ./files
Xmkdir -p ./files > /dev/null 2>&1
Xecho x - ./files/patch-aa
Xsed 's/^X//' >./files/patch-aa << 'END-of-./files/patch-aa'
XX--- Makefile.orig	Sun Sep 22 21:03:26 2002
XX+++ Makefile	Tue Oct 22 19:34:36 2002
XX@@ -1,8 +1,8 @@
XX-SDL_CFLAGS = `sdl-config --cflags`
XX-SDL_LIBS = `sdl-config --libs`
XX-CFLAGS = -Wall -O2 -ffast-math -funroll-loops -Dstricmp=strcasecmp \
XX-	-Dstrnicmp=strncasecmp -DUSE_SDL -DNDEBUG -I. $(SDL_CFLAGS) -DUSE_NET
XX-LIBS = -lm $(SDL_LIBS) -lSDL_mixer -lSDL_net
XX+SDL_CFLAGS = `sdl11-config --cflags`
XX+SDL_LIBS = `sdl11-config --libs`
XX+CFLAGS += -Wall -O2 -ffast-math -funroll-loops -Dstricmp=strcasecmp \
XX+	-Dstrnicmp=strncasecmp -DUSE_SDL -DNDEBUG -I. $(SDL_CFLAGS)
XX+LIBS += -lm $(SDL_LIBS) -lSDL_mixer
XX SDL_TARGET = sdl.a
XX MODIFY_TARGET = gobpack jnbpack jnbunpack
XX OBJS = fireworks.o main.o menu.o
XEND-of-./files/patch-aa
Xecho x - ./files/patch-ab
Xsed 's/^X//' >./files/patch-ab << 'END-of-./files/patch-ab'
XX--- modify/Makefile.orig	Sun Sep 22 21:03:26 2002
XX+++ modify/Makefile	Tue Oct 22 19:33:49 2002
XX@@ -1,8 +1,7 @@
XX-CFLAGS = -Wall -ansi -pedantic -O2 -ffast-math -funroll-loops \
XX+CFLAGS += -Wall -ansi -pedantic -O2 -ffast-math -funroll-loops \
XX 	-Dstricmp=strcasecmp -Dstrnicmp=strncasecmp -DNDEBUG \
XX-	-I. -I.. -DUSE_NET
XX-LIBS = -lm
XX-SRCS = gobpack.c jnbpack.c jnbunpack.c
XX+	-I. -I..
XX+LIBS += -lm
XX OBJS = gobpack.o jnbpack.o jnbunpack.o
XX TARGETS = ../gobpack ../jnbpack ../jnbunpack
XEND-of-./files/patch-ab
Xecho x - ./files/patch-ac
Xsed 's/^X//' >./files/patch-ac << 'END-of-./files/patch-ac'
XX--- sdl/Makefile.orig	Sun Sep 22 21:03:26 2002
XX+++ sdl/Makefile	Tue Oct 22 19:35:05 2002
XX@@ -1,8 +1,7 @@
XX-SDL_CFLAGS = `sdl-config --cflags`
XX-CFLAGS = -Wall -ansi -pedantic -O2 -ffast-math -funroll-loops \
XX+SDL_CFLAGS = `sdl11-config --cflags`
XX+CFLAGS += -Wall -ansi -pedantic -O2 -ffast-math -funroll-loops \
XX 	-Dstricmp=strcasecmp -Dstrnicmp=strncasecmp -DNDEBUG \
XX-	-I. -I.. $(SDL_CFLAGS) -DUSE_SDL -DUSE_NET
XX-
XX+	-I. -I.. $(SDL_CFLAGS) -DUSE_SDL
XX OBJS = gfx.o interrpt.o sound.o input.o
XX TARGET = ../sdl.a
XEND-of-./files/patch-ac
Xecho x - ./files/patch-ad
Xsed 's/^X//' >./files/patch-ad << 'END-of-./files/patch-ad'
XX--- jnbmenu.pre.orig	Tue Oct 22 20:14:28 2002
XX+++ jnbmenu.pre	Tue Oct 22 20:14:45 2002
XX@@ -1,5 +1,4 @@
XX-#!/usr/bin/wish
XX-#!/usr/bin/wish8.0
XX+#!/usr/local/bin/wish8.0
XX #############################################################################
XX # Visual Tcl v1.20 Project
XX # Author : Philippe Brochard
XEND-of-./files/patch-ad
Xecho x - ./pkg-comment
Xsed 's/^X//' >./pkg-comment << 'END-of-./pkg-comment'
XXA fun multiplayer game with cute fluffy bunnies
XEND-of-./pkg-comment
Xecho x - ./jumpnbump-2ndtry.shar
Xsed 's/^X//' >./jumpnbump-2ndtry.shar << 'END-of-./jumpnbump-2ndtry.shar'
END-of-./jumpnbump-2ndtry.shar
exit

yours gürkan
Comment 5 Adam Weinberger freebsd_committer 2002-11-07 00:34:46 UTC
State Changed
From-To: feedback->patched

This port has been committed. Thanks for going over and over this 
port with me. It was annoying, I'm sure, but it's a good port ::). 

I'm going to close this PR as soon as I add you to the FreeBSD 
contributors list.
Comment 6 Adam Weinberger freebsd_committer 2002-11-07 00:46:19 UTC
State Changed
From-To: patched->closed

Cased closed. 

-Detective AdamW